aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-12 15:29:06 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-12 15:29:06 +0000
commitda7c9c5321ab89d8d54c836a19e7e70f5e62314f (patch)
tree09cedd8f6fb813b48a481c823dca23a6b9552627
parent7f979d9efa797326b907c0020b5b5bda7d97deb2 (diff)
downloadslackbuilds-da7c9c5321ab89d8d54c836a19e7e70f5e62314f.tar.gz
slackbuilds-da7c9c5321ab89d8d54c836a19e7e70f5e62314f.tar.bz2
adicao do kxmleditor e atualização dos scripts: exiv2; vamps; broffice->2.3;sqlite
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1422 370017ae-e619-0410-ac65-c121f96126d4
-rw-r--r--app/editors/kxmleditor/kxmleditor.SlackBuild147
-rwxr-xr-xapp/office/broffice/broffice.SlackBuild150
-rwxr-xr-xdev/db/sqlite/sqlite.SlackBuild186
-rwxr-xr-xmedia/gfx/exiv2/exiv2.SlackBuild229
-rwxr-xr-xmedia/libs/libkipi/libkipi.SlackBuild221
-rwxr-xr-xmedia/video/vamps/vamps.SlackBuild5
6 files changed, 510 insertions, 428 deletions
diff --git a/app/editors/kxmleditor/kxmleditor.SlackBuild b/app/editors/kxmleditor/kxmleditor.SlackBuild
new file mode 100644
index 00000000..d7442ec0
--- /dev/null
+++ b/app/editors/kxmleditor/kxmleditor.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# kxmleditor.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# kxmleditor.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for kxmleditor, by Rudson R. Alves
+# requires: Null
+# tested: kxmleditor-1.1.4
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="kxmleditor"
+PKG_NAME="kxmleditor"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.1.4}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://downloads.sourceforge.net/kxmleditor/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS CODING COPYING ChangeLog INSTALL README TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+kxmleditor: kxmleditor by Slack.Sarava
+kxmleditor:
+kxmleditor: KXML Editor is Open Source Software and developed under the GPL
+kxmleditor: (see COPYING for details).
+kxmleditor:
+kxmleditor: KXML Editor is KParts application, and it must be installed properly
+kxmleditor: to KDE directories.
+kxmleditor:
+kxmleditor:
+kxmleditor:
+kxmleditor:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
diff --git a/app/office/broffice/broffice.SlackBuild b/app/office/broffice/broffice.SlackBuild
index d9b75c1d..7f7f9a09 100755
--- a/app/office/broffice/broffice.SlackBuild
+++ b/app/office/broffice/broffice.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# broffice.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# broffice.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# broffice.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# broffice.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for broffice originally for version 2.1.0, updated by rafael2k.
-# http://ftp.unicamp.br/pub/broffice/stable/2.1.0/
-#
-# Author: Rudson R Alves
+# slackbuild for broffice, by Rudson R. Alves
+# requires: Null
+# tested: broffice-2.3.0
#
# Look for slackbuildrc
@@ -27,37 +28,20 @@ fi
# Set variables
CWD="$(pwd)"
-SRC_NAME="broffice"
+SRC_NAME="BrOo"
PKG_NAME="broffice"
-ARCH=i586
-SRC_VERSION=${VERSION:=2.2.1}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=2.3.0}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr}
+PREFIX=${PREFIX:=/usr/share/broffice.org2.3}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
-#CONF_OPTIONS=${CONF_OPTIONS:=}
-
-SLACK_NEW=$( cat /etc/slackware-version | cut -d" " -f2 | egrep '(11.[1-9]|1[2-9].[0-9]).*$' )
-
-# Set system libraries' path and optmization flags based on $ARCH
-LIBDIR="$PREFIX/lib"
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:=""}
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
@@ -73,33 +57,26 @@ rm -rf "$PKG" 2> /dev/null
mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
-mkdir -p "$PKG_SRC" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="BrOo_${SRC_VERSION}_20070529_LinuxIntel_install_RPMS_pt-BR.tar.gz"
-URL="http://ftp.unicamp.br/pub/broffice/stable/2.2.1/$SRC"
+SRC="${SRC_NAME}_${VERSION}_LinuxIntel_install_pt-BR_rpm.tar.gz"
+URL="http://linorg.usp.br/BrOffice.org/stable/2.3.0//$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Download source's MD5 checksum if necessary and check it
-if [ ! -s "$SRC_DIR/md5sum.txt" ]; then
- wget "${URL//$SRC}md5sum.txt" -O "$SRC_DIR/md5sum.txt" || exit $ERROR_WGET
-fi
-
-MD5SUM_SRC="$(md5sum "$SRC_DIR/$SRC" | cut -d " " -f 1)"
-MD5SUM_URL="$(grep "$SRC[ \t]*$" "$SRC_DIR/md5sum.txt" | cut -d " " -f 1)"
-
-[ "$MD5SUM_SRC" == "$MD5SUM_URL" ] || exit $ERROR_MD5
# Untar
+mkdir -p $PKG_SRC
cd $PKG_SRC
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+mv $PKG_SRC/OOG680_m5_native_packed-1_pt-BR.9221/* $PKG_SRC/
+rm -rf $PKG_SRC/OOG680_m5_native_packed-1_pt-BR.9221
cd $PKG_SRC/RPMS
+
# Convert packges and install
-ALLPKGS=$( ls *.rpm | wc -l )
for i in *.rpm; do
echo -e "\nconvert $i"
rpm2tgz $i || exit $ERROR_TAR
@@ -107,60 +84,32 @@ for i in *.rpm; do
done
rm *.rpm 2>/dev/null
-# Converte links to KDE - retirado p/ ooffice 2.2.1, jah exite um pacote para slackware
+# Convert links to KDE
cd desktop-integration
-echo -e "\nconvert broffice.org-suse-menus*.rpm"
-rpm2tgz broffice.org-suse-menus*.rpm || exit $ERROR_TAR
-tar xvf broffice.org-suse-menus*.tgz -C $PKG || exit $ERROR_TAR
+echo -e "\ninstall broffice.org-slackware-menus-2.3*.rpm"
+tar xvf broffice.org-slackware-menus-2.3*.tgz -C $PKG || exit $ERROR_TAR
rm *.rpm *.deb 2>/dev/null
cd ..
-# fix opt layout
-mkdir $PKG/usr
-mv $PKG/opt/* $PKG/usr/
+# Change opt directory
+#mkdir $PKG/usr
+mv $PKG/opt/broffice.org2.3 $PKG/usr/share/
-mv $PKG/usr/kde3/share/* $PKG/usr/share/
+mv $PKG/opt/kde/share/* $PKG/usr/share/
rm -rf $PKG/opt
-rm -rf $PKG/usr/kde3
-
-cd $PKG/usr/bin
-rm * 2>/dev/null
-
-# broffice.org-2.2.1
-cat << EOFBROFFICE > $PKG/usr/bin/broffice.org-2.2.1
-#!/bin/sh
-exec /usr/broffice.org2.2/program/soffice \$@
-EOFBROFFICE
-
-# broffice.org-2.2.1-printeradmin
-cat << EOFBRADMIN > $PKG/usr/bin/broffice.org-2.2.1-printeradmin
-#!/bin/sh
-exec /usr/broffice.org2.2/program/spadmin
-EOFBRADMIN
-
-chmod +x *
-ln -s ../../usr/broffice.org2.2/program/soffice soffice
-
-mkdir -p $PKG/usr/share/applications
-cd $PKG/usr/share/applications
-rm broffice.org2.2-*.desktop 2>/dev/null
-ln -s ../../broffice.org2.2/share/xdg/base.desktop broffice.org2.2-base.desktop
-ln -s ../../broffice.org2.2/share/xdg/calc.desktop broffice.org2.2-calc.desktop
-ln -s ../../broffice.org2.2/share/xdg/draw.desktop broffice.org2.2-draw.desktop
-ln -s ../../broffice.org2.2/share/xdg/extension.desktop broffice.org2.2-extension.desktop
-ln -s ../../broffice.org2.2/share/xdg/impress.desktop broffice.org2.2-impress.desktop
-ln -s ../../broffice.org2.2/share/xdg/math.desktop broffice.org2.2-math.desktop
-ln -s ../../broffice.org2.2/share/xdg/printeradmin.desktop broffice.org2.2-printeradmin.desktop
-ln -s ../../broffice.org2.2/share/xdg/qstart.desktop broffice.org2.2-qstart.desktop
-ln -s ../../broffice.org2.2/share/xdg/writer.desktop broffice.org2.2-writer.desktop
-cd $PKG/usr/bin
-mkdir -p "$PKG/usr/bin" || exit $ERROR_MKDIR
-ln -s broffice.org-2.2.1 broffice.org2.2
-
-# Install documentation
-mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-mv $PKG/usr/broffice.org2.2/licenses/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
-mv $PKG/usr/broffice.org2.2/readmes/* $PKG/usr/doc/$PKG_NAME-$PKG_VERSION/
+
+# Change doinstall install directory
+sed 's/\/opt\/broffice.org2.3/\/usr\/share\/broffice.org2.3\//' $PKG/install/doinst.sh > $PKG/install/doinst.sh.new
+mv $PKG/install/doinst.sh.new $PKG/install/doinst.sh
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
# Add package description (slack-desc)
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
@@ -172,16 +121,16 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler----------------------------------------------------|
-broffice: BrOffice.org Versão $VERSION
+ |-----handy-ruler-----------------------------------------------------|
+broffice: BrOffice.org by Slack.Sarava
broffice:
broffice: Pacote do BrOffice construído a partir do pacote rpm pelo
broffice: broffice.Slackbuild.
broffice:
-broffice: O BrOffice.org/OpenOffice.org é uma suíte de escritório feito
+broffice: O BrOffice.org/OpenOffice.org é uma suíte de escritório feito
broffice: inicialmente pela Star Division, e atualmente pela Sun (com alguma
-broffice: participação da 'comunidade'), e é composto por: Writer - editor;
-broffice: Calc - planilha; Impress - apresentações; Draw - desenhos vetoriais;
+broffice: participação da 'comunidade'), e é composto por: Writer - editor;
+broffice: Calc - planilha; Impress - apresentações; Draw - desenhos vetoriais;
broffice: Math - Editor de equações; Base - Banco de dados.
broffice: http://www.openoffice.org.br
EODESC
@@ -194,4 +143,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/dev/db/sqlite/sqlite.SlackBuild b/dev/db/sqlite/sqlite.SlackBuild
index 8ffd17d6..06a56063 100755
--- a/dev/db/sqlite/sqlite.SlackBuild
+++ b/dev/db/sqlite/sqlite.SlackBuild
@@ -1,100 +1,121 @@
#!/bin/bash
#
-# sqlite.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# sqlite.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# sqlite.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# sqlite.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# slackbuild script for sqlite
-# by rhatto at riseup.net
+# slackbuild for sqlite, by Rudson R. Alves
+# requires: Null
+# tested: sqlite-3.5.1
#
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building sqlite are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f /root/.slackbuildrc ]; then
- source /root/.slackbuildrc
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# default settings
-PACKAGE="sqlite"
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="sqlite"
+PKG_NAME="sqlite"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=3.3.13}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
+SRC_VERSION=${VERSION:=3.5.1}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc"}
+NUMJOBS=${NUMJOBS:="-j7"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-# ------- error codes for createpkg --------------
+# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.sqlite.org/$SRC"
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://www.sqlite.org/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PACKAGE-$VERSION
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
-CWD="`pwd`"
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
-cd $TMP/package-$PACKAGE
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Install documentation
+DOCS="README VERSION"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
-mkdir install
-cat << EOF > install/slack-desc
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
@@ -102,32 +123,25 @@ cat << EOF > install/slack-desc
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
-sqlite: sqlite
+ |-----handy-ruler-------------------------------------------------------|
+sqlite: sqlite by Slack.Sarava
sqlite:
sqlite: SQLite is a small C library that implements a self-contained,
sqlite: embeddable, zero-configuration SQL database engine. Features include:
-sqlite:
-sqlite:
-sqlite:
-sqlite:
-sqlite:
-sqlite:
-sqlite:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-DOCS="README"
-
-for file in $DOCS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
+sqlite: * Transactions are atomic, consistent, isolated, and durable (ACID)
+sqlite: even after system crashes and power failures.
+sqlite: * Zero-configuration - no setup or administration needed.
+sqlite: * A complete database is stored in a single disk file.
+sqlite: * Database files can be freely shared between machines with different
+sqlite: byte orders.
+sqlite: * ...
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/media/gfx/exiv2/exiv2.SlackBuild b/media/gfx/exiv2/exiv2.SlackBuild
index 6b4b5b83..e28cf4b1 100755
--- a/media/gfx/exiv2/exiv2.SlackBuild
+++ b/media/gfx/exiv2/exiv2.SlackBuild
@@ -1,140 +1,130 @@
#!/bin/bash
#
-# exiv2.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# exiv2.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# exiv2.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# exiv2.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for exiv2, by Rudson R. Alves
-# requires: none
-# tested: exiv2-0.12
-
-CWD=`pwd`
+# requires: Null
+# tested: exiv2-0.15
+#
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e ~/.slackbuildrc ]; then
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
-elif [ -e /etc/slackbuildrc ]; then
+elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="exiv2-0.12.tar.gz"
-MD5_ORIG="a97a4e489df7ec99458e3e33b506c3e6"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="exiv2"
+PKG_NAME="exiv2"
ARCH=${ARCH:=i486}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
+SRC_VERSION=${VERSION:=0.15}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://www.exiv2.org/$SRC"}
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- wget "$URL" -P "$SRC_DIR/$PACKAGE" || exit $ERROR_WGET
-fi
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
-fi
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
+ SLKCFLAGS="-O2 -march=i686"
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC || exit $ERROR_TAR
-
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF || exit $ERROR_CONF
-
-# ---------------- Compila programa ---------------------
-make -j3 || exit $ERROR_MAKE
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-make install DESTDIR=$PKG || exit $ERROR_INSTALL
-
-# --------------- Compacta manuais ----------------------
-gzip -r $PKG/shared/man/*
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://www.exiv2.org/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="COPYING README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
- |--------handy-ruler------------------------------------------------------|
-exiv2: libdvdread.SlackBuild by Rudson R. Alves
+ |-----handy-ruler--------------------------------------------------------|
+exiv2: exiv2 by Slack.Sarava
exiv2:
exiv2: Exiv2 is a C++ library and a command line utility to access image
exiv2: metadata. Exiv2 is available as free software and with a commercial
@@ -144,20 +134,13 @@ exiv2: - full read and write access to the Exif and IPTC metadata of an
exiv2: image through Exiv2 keys and standard C++ iterators
exiv2: - a smart IPTC implementation that does not affect data that
exiv2: programs like Photoshop store in the same image segment, ...
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{COPYING,README} $PKG_DOC
-cp -r $PKG_DIR/doc $PKG_DOC
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- rm -rf $PKG $PKG_SRC
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
fi
diff --git a/media/libs/libkipi/libkipi.SlackBuild b/media/libs/libkipi/libkipi.SlackBuild
index d376c1e1..4f0baa12 100755
--- a/media/libs/libkipi/libkipi.SlackBuild
+++ b/media/libs/libkipi/libkipi.SlackBuild
@@ -1,137 +1,130 @@
#!/bin/bash
#
-# libkipi.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libkipi.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# libkipi.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libkipi.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for libkipi, by Rudson R. Alves
-# requires: none
+# requires: Null
# tested: libkipi-0.1.5
+#
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e ~/.slackbuildrc ]; then
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
-elif [ -e /etc/slackbuildrc ]; then
+elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="libkipi-0.1.5.tar.bz2"
-MD5_ORIG="aef790871583444cd81bd9dea9c3fd0b"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="libkipi"
+PKG_NAME="libkipi"
ARCH=${ARCH:=i486}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
+SRC_VERSION=${VERSION:=0.1.5}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://ufpr.dl.sourceforge.net/sourceforge/kipi/$SRC"}
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- wget "$URL" -P "$SRC_DIR/$PACKAGE" || exit $ERROR_WGET
-fi
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- [ "$SUM" != "$MD5" ] && exit $ERROR_MD5
-fi
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
+ SLKCFLAGS="-O2 -march=i686"
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC || exit $ERROR_TAR
-
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF || exit $ERROR_CONF
-
-# ---------------- Compila programa ---------------------
-make -j3 || exit $ERROR_MAKE
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-make install DESTDIR=$PKG || exit $ERROR_INSTALL
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+URL="http://downloads.sourceforge.net/libkipi/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS PACKAGING README RELEASE.rev TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
- |----handy-ruler------------------------------------------------------|
-libkipi: LIBKIPI package, by Rudson R. Alves <rudsonalves[a]yahoo.com.br>
+ |-----handy-ruler------------------------------------------------------|
+libkipi: libkipi by Slack.Sarava
libkipi:
libkipi:
libkipi:
@@ -141,18 +134,14 @@ libkipi:
libkipi:
libkipi:
libkipi:
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,README.rev,TODO} $PKG_DOC
+libkipi:
+EODESC
-# --------------- Constroi o pacote ---------------------
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- rm -rf $PKG $PKG_SRC
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
fi
diff --git a/media/video/vamps/vamps.SlackBuild b/media/video/vamps/vamps.SlackBuild
index 5dcf6851..44b36682 100755
--- a/media/video/vamps/vamps.SlackBuild
+++ b/media/video/vamps/vamps.SlackBuild
@@ -89,10 +89,11 @@ tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TA
cd "$PKG_SRC"
# Compile
-make $NUMJOBS || exit $ERROR_MAKE
+PREFIX=$PREFIX make $NUMJOBS || exit $ERROR_MAKE
# Install
-make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+cp
+PREFIX=$PKG/$PREFIX make install || exit $ERROR_INSTALL
# Strip binaries
( cd "$PKG"